html, body{
    overflow-x: hidden !important;
}

/* Configurações sugeridas pela documentação do Lenis */
html.lenis, html.lenis body {
  height: auto;
}

.lenis.lenis-smooth {
  scroll-behavior: auto !important;
}

.lenis.lenis-smooth [data-lenis-prevent] {
  overscroll-behavior: contain;
}

.lenis.lenis-stopped {
  overflow: hidden;
}

.lenis.lenis-scrolling iframe {
  pointer-events: none;
}

.s-pad{
    padding: 2.8rem 0;
}
@media(min-width:1080px){
    .s-pad{
        padding: 3.6rem;
    }
}



.c-btn {
    background: linear-gradient(135deg, #00FFF0 0%, #00FFF0 50%, #00FFF0 100%);
    color: #050b14;
    border-radius: 12px;
    border: none;
    width: fit-content;
    height: 62px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    border: 2px solid rgb(255, 255, 255, .2);
    padding: 0 24px;
    gap: 8px;
    font-size: 18px;
    font-weight: 700;
    letter-spacing: -.3px;
    cursor: pointer;
    box-shadow: 0 6px 20px rgb(14 163 173 / .4), 0 2px 5px rgb(0 0 0 / .1), inset 0 1px 1px rgb(255 255 255 / .2);
    transition: all 0.4s cubic-bezier(.175, .885, .32, 1.275);
    position: relative;
    overflow: hidden
}

.c-btn::before {
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: linear-gradient(90deg, transparent, rgb(255 255 255 / .65), transparent);
    transition: all 0.6s ease
}

.c-btn:hover {
    transform: translateY(-4px);
    box-shadow: 0 12px 30px rgb(14 163 173 / .6), 0 5px 10px rgb(0 0 0 / .15)
}

.c-btn:hover::before {
    left: 100%
}

.c-btn:active {
    transform: translateY(-1px) scale(.99);
    box-shadow: 0 4px 10px rgb(14 163 173 / .3)
}

.c-btn svg {
    width: 32px;
    height: 32px;
    color: currentColor;
    transition: transform 0.3s ease
}

.c-btn:hover svg {
    /* transform: translate(6px, -6px); */
    transform: scale(1.3);
}



.c-btn--white{
    background: transparent !important;
    /* border: 2px solid #fff; */
    color: #fff !important;
    box-shadow: none;
}

.c-btn--white svg{
    color: currentColor;
}



.btn-ver-funcionalidades:hover{
    opacity: .8;
}



.btn-comecar-topo{
    background: transparent;
    border: 2px solid #05111E;
    color: #05111E;
}



/* >>> button whatsapp 1 */

@keyframes pulseWhatsApp {
  0% {
    box-shadow: 0 0 0 0 rgba(37, 211, 102, 0.7);
  }

  70% {
    box-shadow: 0 0 0 20px rgba(37, 211, 102, 0);
  }

  100% {
    box-shadow: 0 0 0 0 rgba(37, 211, 102, 0);
  }
}

._button-whatsapp {
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 64px;
  height: 64px;
  background-color: #25d366;
  color: #FFF;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  animation: pulseWhatsApp 2s infinite;
  z-index: 999999999999999999;
}

._button-whatsapp svg {
  fill: #fff;
  width: 52px;
  height: 52px;
}

/* button whatsapp 1 <<< */


/* Estado inicial: invisível e ligeiramente abaixo (30px) */
.reveal {
  opacity: 0;
  transform: translateY(30px);
  transition: opacity 0.8s ease-out, transform 0.8s ease-out;
  will-change: opacity, transform; /* Otimização de performance */
}

/* Estado final: visível e na posição original */
.reveal.active {
  opacity: 1;
  transform: translateY(0);
}